VayuDocumentationIntegrationsAPI ReferenceChange Log
SupportGet started now
API EndpointsInvoices

Get Invoice

Get a Invoice by id.

GET
/invoices/{invoiceId}

Authorization

BearerAuthorizer
AuthorizationBearer <token>

In: header

Path Parameters

invoiceId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/invoices/string"
{  "invoice": {    "customerId": "string",    "contractId": "string",    "name": "string",    "billingCycle": {      "startTime": "2019-08-24T14:15:22Z",      "endTime": "2019-08-24T14:15:22Z"    },    "revenueBreakdown": {      "total": 0,      "subtotal": 0,      "overage": 0,      "discount": 0,      "creditsUsed": 0,      "tax": 0    },    "billingStatus": "None",    "paymentInfo": {      "transactionId": "string",      "date": "2019-08-24T14:15:22Z",      "paymentMethod": "string",      "paymentMethodId": "string",      "amount": 1,      "currency": "USD",      "status": "string",      "note": "string",      "customerId": "string",      "depositTo": {        "id": "string",        "name": "string"      }    },    "dueDate": "2019-08-24T14:15:22Z",    "accountId": "string",    "lineItems": [      {        "invoiceId": "string",        "revenueBreakdown": {          "total": 0,          "subtotal": 0,          "overage": 0,          "discount": 0,          "creditsUsed": 0,          "tax": 0        }      }    ],    "amount": 0,    "isTrial": true,    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
{  "type": "invalid_request_error",  "code": "string",  "message": "string",  "param": "string",  "params": [    {      "param": "string",      "message": "string"    }  ]}
{  "type": "authentication_error",  "code": "authentication_failed",  "message": "string"}
{  "type": "invalid_request_error",  "code": "resource_not_found",  "message": "string"}
{  "type": "rate_limit_error",  "code": "rate_limit_exceeded",  "message": "string"}
{  "type": "api_error",  "code": "internal_error",  "message": "string"}